Bug 479379 - Stop using RPATH with the standard library path
Stop using RPATH with the standard library path
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 02:44 EST by Akira TAGOH
Modified: 2009-03-24 11:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 11:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-01-09 02:44:46 EST
Description of problem:
https://fedoraproject.org/wiki/Packaging:Guidelines#Beware_of_Rpath

Version-Release number of selected component (if applicable):
pidgin-2.5.3-1.fc10

How reproducible:
always

Steps to Reproduce:
1.readelf -a /usr/bin/pidgin | grep rpath
2.
3.
  
Actual results:
 0x000000000000000f (RPATH)              Library rpath: [/usr/lib64]

Expected results:
No rpath

Additional info:
Comment 1 Warren Togami 2009-01-26 22:11:14 EST
Stu, any ideas how we can fix this without redoing autotools during rpmbuild?
Comment 2 Akira TAGOH 2009-01-26 23:42:10 EST
does http://wiki.debian.org/RpathIssue help?
Comment 3 Stu Tomlinson 2009-01-27 10:03:04 EST
changing the make & make install commands to use system libtool might help:

BuildRequires: libtool
...
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool
...
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

Note You need to log in before you can comment on or make changes to this bug.